From 26804bd83b5e37da5338971e626c835fe2b52fdc Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 20 2020 03:06:51 +0000
Subject: [PATCH 293/2232] Use receiver name that resembles the Rust input more closely


---

diff --git a/gen/write.rs b/gen/write.rs
index 460a55f..7a57111 100644
--- a/gen/write.rs
+++ b/gen/write.rs
@@ -375,7 +375,7 @@ fn write_cxx_function_shim(out: &mut OutFile, efn: &ExternFn, types: &Types) {
         out.namespace, receiver_type, efn.ident
     );
     if let Some(base) = &efn.receiver {
-        write!(out, "{} *__receiver$", base.ident);
+        write!(out, "{} *self$", base.ident);
     }
     for (i, arg) in efn.args.iter().enumerate() {
         if i > 0 || efn.receiver.is_some() {
@@ -445,7 +445,7 @@ fn write_cxx_function_shim(out: &mut OutFile, efn: &ExternFn, types: &Types) {
     }
     match &efn.receiver {
         None => write!(out, "{}$(", efn.ident),
-        Some(_) => write!(out, "(__receiver$->*{}$)(", efn.ident),
+        Some(_) => write!(out, "(self$->*{}$)(", efn.ident),
     }
     for (i, arg) in efn.args.iter().enumerate() {
         if i > 0 {
@@ -548,7 +548,7 @@ fn write_rust_function_decl_impl(
     write!(out, "{}(", link_name);
     let mut needs_comma = false;
     if let Some(base) = &sig.receiver {
-        write!(out, "{} &__receiver$", base.ident);
+        write!(out, "{} &self$", base.ident);
         needs_comma = true;
     }
     for arg in &sig.args {
diff --git a/macro/src/expand.rs b/macro/src/expand.rs
index 2d3166a..ac39e4e 100644
--- a/macro/src/expand.rs
+++ b/macro/src/expand.rs
@@ -399,8 +399,8 @@ fn expand_rust_function_shim_impl(
     let receiver = sig.receiver.iter().map(|base| {
         let ident = &base.ident;
         match base.mutability {
-            None => quote!(__receiver: &#ident),
-            Some(_) => quote!(__receiver: &mut #ident),
+            None => quote!(__self: &#ident),
+            Some(_) => quote!(__self: &mut #ident),
         }
     });
     let args = sig.args.iter().map(|arg| {
@@ -436,7 +436,7 @@ fn expand_rust_function_shim_impl(
     let mut call = match invoke {
         Some(ident) => match sig.receiver {
             None => quote!(super::#ident),
-            Some(_) => quote!(__receiver.#ident),
+            Some(_) => quote!(__self.#ident),
         },
         None => quote!(__extern),
     };

